#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majver		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	libmypaint
Version		:	1.6.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Library for making brush strokes

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ICS
URL		:	https://github.com/mypaint/libmypaint/releases/download/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	gobject-introspection
BuildRequires	:	intltool
BuildRequires	:	json-c-devel
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
This is a self-contained library containing the MyPaint
brush engine.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc README.md
%{_libdir}/%{name}.so.0*
%{_libdir}/girepository-1.0/MyPaint-%{majver}.typelib

#=============================================================================
%package		devel

Summary		:	Development files for libmypaint

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains files needed for development
with libmypaint.

#-----------------------------------------------------------------------------
%files			devel
%doc doc/build/*
%defattr(-,root,root,-)
%{_includedir}/%{name}/mypaint-*.h
%{_includedir}/%{name}/glib/mypaint-*.h
%{_includedir}/%{name}/fastapprox/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/MyPaint-%{majver}.gir


#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e 's/python -c/python3 -c/g'					\
  configure

./configure							\
	--prefix=%{_prefix}					\
	--sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--enable-docs						\
	--enable-introspection=yes				\
	--disable-gegl

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
